Register a new user by email

Register a new user with an email address.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Body

Registration model specifically for email-based registration.

passwordstring · min: 1Required

The password that the user is registering with.

firstNamestring · nullableOptional

The first name of the user.

lastNamestring · nullableOptional

The last name of the user.

nickNamestring · nullableOptional

The nickname of the user.

referralCodestring · nullableOptional

The invitation code that the user is using to register.

emailAddressstring · min: 1Required

The email address that the user is registering with.
This is required and validated using a custom EmailAddress attribute.
Expected to be a valid RFC-compliant email address.

Responses
chevron-right
201

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

post
/api/v1/users/register/email-address

Last updated